Bug 862797 - Rhev-m admin GUI logs actions done by <UNKNOWN> in the Events tab
Rhev-m admin GUI logs actions done by <UNKNOWN> in the Events tab
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
Unspecified Linux
unspecified Severity low
: ---
: 3.2.0
Assigned To: Yair Zaslavsky
Tareq Alayan
infra
:
Depends On:
Blocks: 915537 994218
  Show dependency treegraph
 
Reported: 2012-10-03 10:55 EDT by Tareq Alayan
Modified: 2016-02-10 14:23 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, the Events tab in the administration portal logged automated actions as being initiated by "unknown" users. Now, internal actions such as fencing operations are logged as being initiated by the "engine" user.
Story Points: ---
Clone Of:
: 994218 (view as bug list)
Environment:
Last Closed: 2013-06-10 17:11:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
GUI screen shot with the message (175.94 KB, image/png)
2012-10-03 11:25 EDT, Tareq Alayan
no flags Details
logs (1.27 MB, application/x-bzip)
2012-11-21 03:46 EST, Tareq Alayan
no flags Details

  None (edit)
Description Tareq Alayan 2012-10-03 10:55:31 EDT
Description of problem:
Events done by "UNKNOWN" users are logged into Events tab for Hosts
Host aaa.bbb.ccc.ddd was started by <UNKNOWN>
Host aaa.bbb.ccc.ddd was stopped by <UNKNOWN>

The Events sould be descriptive as much as we can, and this message is not. 

How reproducible:
The start and the stop actions are done via the ART framework. 


Steps to Reproduce:
Run the Host automation test which includes some power management tests.
 
Actual&expected results:
instead of <UNKNOWN> should be by admin 


Additional info:
In the log below attached the messages with the correlation id 3e479eeb which are related to the message ...Stopped by <UNKNOWN>

Messages from log:
=================
2012-10-02 17:50:57,863 INFO  [org.ovirt.engine.core.bll.VdsNotRespondingTreatmentCommand] (pool-4-thread-48) Running command: VdsNotRespondingTreatmentCommand internal: true. Entities affec
ted :  ID: 661b89e0-0ca6-11e2-a084-001a4a1697ca Type: VDS
2012-10-02 17:50:57,889 INFO  [org.ovirt.engine.core.bll.StopVdsCommand] (pool-4-thread-48) [3e479eeb] Running command: StopVdsCommand internal: true. Entities affected :  ID: 661b89e0-0ca6-
11e2-a084-001a4a1697ca Type: VDS
2012-10-02 17:50:57,903 INFO  [org.ovirt.engine.core.vdsbroker.SetVdsStatusVDSCommand] (pool-4-thread-48) [3e479eeb] START, SetVdsStatusVDSCommand(HostName = puma39.scl.lab.tlv.redhat.com, H
ostId = 661b89e0-0ca6-11e2-a084-001a4a1697ca, status=Reboot, nonOperationalReason=NONE), log id: 1fc8dc49
2012-10-02 17:50:57,976 INFO  [org.ovirt.engine.core.vdsbroker.SetVdsStatusVDSCommand] (pool-4-thread-48) [3e479eeb] FINISH, SetVdsStatusVDSCommand, log id: 1fc8dc49
2012-10-02 17:50:58,000 INFO  [org.ovirt.engine.core.bll.FencingExecutor] (pool-4-thread-48) [3e479eeb] Executing <Stop> Power Management command, Proxy Host:puma40.scl.lab.tlv.redhat.com, A
gent:ipmilan, Target Host:puma39.scl.lab.tlv.redhat.com, Management IP:puma39-mgmt.scl.lab.tlv.redhat.com, User:admin, Options:
2012-10-02 17:50:58,001 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.FenceVdsVDSCommand] (pool-4-thread-48) [3e479eeb] START, FenceVdsVDSCommand(HostName = puma40.scl.lab.tlv.redhat.com,
 HostId = 669f63a0-0ca6-11e2-a42f-001a4a1697ca, targetVdsId = 661b89e0-0ca6-11e2-a084-001a4a1697ca, action = Stop, ip = puma39-mgmt.scl.lab.tlv.redhat.com, port = , type = ipmilan, user = ad
min, password = ******, options = ''), log id: 60531053
2012-10-02 17:50:58,050 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.FenceVdsVDSCommand] (pool-4-thread-48) [3e479eeb] FINISH, FenceVdsVDSCommand, return: Done, log id: 60531053
2012-10-02 17:50:58,050 INFO  [org.ovirt.engine.core.bll.FenceVdsBaseCommand] (pool-4-thread-48) [3e479eeb] Waiting for vds puma39.scl.lab.tlv.redhat.com to stop
2012-10-02 17:51:03,051 INFO  [org.ovirt.engine.core.bll.FenceVdsBaseCommand] (pool-4-thread-48) [3e479eeb] Attempt 1 to get vds puma39.scl.lab.tlv.redhat.com status
2012-10-02 17:51:03,076 INFO  [org.ovirt.engine.core.bll.FencingExecutor] (pool-4-thread-48) [3e479eeb] Executing <Status> Power Management command, Proxy Host:puma40.scl.lab.tlv.redhat.com,
 Agent:ipmilan, Target Host:puma39.scl.lab.tlv.redhat.com, Management IP:puma39-mgmt.scl.lab.tlv.redhat.com, User:admin, Options:
2012-10-02 17:51:03,077 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.FenceVdsVDSCommand] (pool-4-thread-48) [3e479eeb] START, FenceVdsVDSCommand(HostName = puma40.scl.lab.tlv.redhat.com,
 HostId = 669f63a0-0ca6-11e2-a42f-001a4a1697ca, targetVdsId = 661b89e0-0ca6-11e2-a084-001a4a1697ca, action = Status, ip = puma39-mgmt.scl.lab.tlv.redhat.com, port = , type = ipmilan, user = 
admin, password = ******, options = ''), log id: 784e8354
2012-10-02 17:51:05,233 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.FenceVdsVDSCommand] (pool-4-thread-48) [3e479eeb] FINISH, FenceVdsVDSCommand, return: Test Succeeded, Host Status is:
 off, log id: 784e8354
2012-10-02 17:51:05,233 INFO  [org.ovirt.engine.core.bll.FenceVdsBaseCommand] (pool-4-thread-48) [3e479eeb] vds puma39.scl.lab.tlv.redhat.com status is off
Comment 1 Tareq Alayan 2012-10-03 11:25:38 EDT
Created attachment 621001 [details]
GUI screen shot with the message
Comment 5 Tareq Alayan 2012-11-21 03:46:23 EST
Created attachment 649111 [details]
logs
Comment 6 Yair Zaslavsky 2012-11-21 05:35:04 EST
Suggest patch upstream -
http://gerrit.ovirt.org/#/c/9376/2
Comment 8 Tareq Alayan 2013-02-10 12:39:17 EST
verified

Host aqua-vds2.qa.lab.tlv.redhat.com was started by vdcadmin.

vdcadmin instead of unknown
Comment 9 Robert McSwain 2013-04-23 09:36:38 EDT
Hello,

One of my customers would like to confirm if the fix for the <UNKNOWN> entries extends to the following types of messages as well or just the starting/stopping messages we see in the bug description:
--------------
Type 316:

User USERNAME attach to VM <UNKNOWN> in VM Pool POOLNAME was initiated by USERNAME.

Type 506:

VM VMNAME was restarted on Host <UNKNOWN>
--------------
Thanks!
Comment 12 errata-xmlrpc 2013-06-10 17:11:49 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0888.html

Note You need to log in before you can comment on or make changes to this bug.